Bug 1332900 - owncloud-nginx ships a config that does not work
Summary: owncloud-nginx ships a config that does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: owncloud
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-04 10:33 UTC by James Hogarth
Modified: 2016-07-02 20:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1332901 (view as bug list)
Environment:
Last Closed: 2016-07-02 20:15:22 UTC
Type: Bug


Attachments (Terms of Use)

Description James Hogarth 2016-05-04 10:33:57 UTC
Description of problem:
When installing owncloud with the owncloud-nginx webserver instead of httpd the configuration file that is shipped in the package takes no effect.


How reproducible:
Always

Steps to Reproduce:
1. dnf install owncloud owncloud-nginx owncloud-sqlite
2. systemctl start nginx php-fpm
3. xdg-open http://localhost ; xdg-open http://localhost/owncloud

Actual results:
The first shows the Fedora default page, the second has a 404 error

Expected results:
According to the config the first should have the owncloud interface, but the second would match the httpd behaviour of having it under the /owncloud namespace.

Additional info:
Since the include /etc/nginx/conf.d/*.conf  happens before the server {} definition in the default nginx.conf the server {} in the oC nginx conf shipped gets overwritten. Removing the default server {} definition then allows oC to run from the / namespace.

To match the httpd behaviour, so principle of least surprise between the two webserver options, it should be included from the default.d directory and so absorbed into the default server {} definition.

Comment 1 James Hogarth 2016-05-04 23:25:58 UTC
There is working config in the private-owncloud-next branch in dist-git 

This uses default.d to get loaded into the default server and acts within the /owncloud/ namespace the same as httpd.

Initial testing looks good, but due to the drastic change in behaviour I'm going to wait for the 9.0.x release when admins will need to verify their setups anyway rather than ship it as an update to 8.2.X

Comment 2 James Hogarth 2016-05-21 23:29:26 UTC
The upcoming 9.0.X release will fix this and is available for very early testing from my FPO space for F23 and F24:

https://jhogarth.fedorapeople.org/owncloud/9.0.2/

Note that this has fairly significant nginx and php-fpm owncloud snippet changes so will need careful validation by any admins using owncloud-nginx

Comment 3 Fedora Update System 2016-05-31 15:41:46 UTC
php-sabre-dav-3.0.9-1.fc24 php-sabre-http-4.2.1-1.fc24 php-symfony-security-acl-2.8.0-1.fc24 php-symfony-2.8.6-2.fc24 owncloud-9.0.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7d88ae655

Comment 4 Fedora Update System 2016-06-01 08:29:06 UTC
owncloud-9.0.2-1.fc24, php-sabre-dav-3.0.9-1.fc24, php-sabre-http-4.2.1-1.fc24, php-symfony-2.8.6-2.fc24, php-symfony-security-acl-2.8.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7d88ae655

Comment 5 Fedora Update System 2016-06-01 13:31:14 UTC
owncloud-9.0.2-2.fc24 php-sabre-dav-3.0.9-1.fc24 php-sabre-http-4.2.1-1.fc24 php-symfony-2.8.6-2.fc24 php-symfony-security-acl-2.8.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7d88ae655

Comment 6 Fedora Update System 2016-06-02 09:01:50 UTC
owncloud-9.0.2-3.fc24, php-sabre-dav-3.0.9-1.fc24, php-sabre-http-4.2.1-1.fc24, php-symfony-2.8.6-2.fc24, php-symfony-security-acl-2.8.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7d88ae655

Comment 7 Fedora Update System 2016-06-03 14:06:20 UTC
php-mcnetic-zipstreamer-1.0-1.fc23 php-sabre-dav-3.0.9-1.fc23 php-sabre-http-4.2.1-1.fc23 php-symfony-security-acl-2.8.0-1.fc23 php-symfony-2.8.6-2.fc23 owncloud-9.0.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7f81d901f

Comment 8 Fedora Update System 2016-06-05 03:58:20 UTC
owncloud-9.0.2-3.fc23, php-mcnetic-zipstreamer-1.0-1.fc23, php-sabre-dav-3.0.9-1.fc23, php-sabre-http-4.2.1-1.fc23, php-symfony-2.8.6-2.fc23, php-symfony-security-acl-2.8.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7f81d901f

Comment 9 Fedora Update System 2016-06-07 10:06:55 UTC
owncloud-9.0.2-3.fc23 php-mcnetic-zipstreamer-1.0-1.fc23 php-sabre-dav-3.0.9-1.fc23 php-sabre-http-4.2.1-1.fc23 php-symfony-2.8.7-1.fc23 php-symfony-security-acl-2.8.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7f81d901f

Comment 10 Fedora Update System 2016-06-07 10:07:51 UTC
owncloud-9.0.2-3.fc24 php-sabre-dav-3.0.9-1.fc24 php-sabre-http-4.2.1-1.fc24 php-symfony-2.8.7-1.fc24 php-symfony-security-acl-2.8.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7d88ae655

Comment 11 Fedora Update System 2016-06-07 18:54:52 UTC
owncloud-9.0.2-3.fc24, php-sabre-dav-3.0.9-1.fc24, php-sabre-http-4.2.1-1.fc24, php-symfony-2.8.7-1.fc24, php-symfony-security-acl-2.8.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7d88ae655

Comment 12 Fedora Update System 2016-06-08 02:24:33 UTC
owncloud-9.0.2-3.fc23, php-mcnetic-zipstreamer-1.0-1.fc23, php-sabre-dav-3.0.9-1.fc23, php-sabre-http-4.2.1-1.fc23, php-symfony-2.8.7-1.fc23, php-symfony-security-acl-2.8.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7f81d901f

Comment 13 Fedora Update System 2016-06-15 21:20:29 UTC
owncloud-9.0.2-4.fc24 php-sabre-dav-3.0.9-1.fc24 php-sabre-http-4.2.1-1.fc24 php-symfony-2.8.7-1.fc24 php-symfony-security-acl-2.8.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7d88ae655

Comment 14 Fedora Update System 2016-06-15 21:45:31 UTC
owncloud-9.0.2-4.fc23 php-mcnetic-zipstreamer-1.0-1.fc23 php-sabre-dav-3.0.9-1.fc23 php-sabre-http-4.2.1-1.fc23 php-symfony-2.8.7-1.fc23 php-symfony-security-acl-2.8.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7f81d901f

Comment 15 Fedora Update System 2016-06-16 15:55:46 UTC
owncloud-9.0.2-4.fc24, php-sabre-dav-3.0.9-1.fc24, php-sabre-http-4.2.1-1.fc24, php-symfony-2.8.7-1.fc24, php-symfony-security-acl-2.8.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7d88ae655

Comment 16 Fedora Update System 2016-06-17 18:55:27 UTC
owncloud-9.0.2-4.fc23, php-mcnetic-zipstreamer-1.0-1.fc23, php-sabre-dav-3.0.9-1.fc23, php-sabre-http-4.2.1-1.fc23, php-symfony-2.8.7-1.fc23, php-symfony-security-acl-2.8.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7f81d901f

Comment 17 Fedora Update System 2016-06-22 23:55:10 UTC
owncloud-9.0.2-4.fc24, php-sabre-dav-3.0.9-1.fc24, php-sabre-http-4.2.1-1.fc24, php-symfony-2.8.7-1.fc24, php-symfony-security-acl-2.8.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-07-02 19:32:21 UTC
owncloud-9.0.2-4.fc23, php-mcnetic-zipstreamer-1.0-1.fc23, php-sabre-dav-3.0.9-1.fc23, php-sabre-http-4.2.1-1.fc23, php-symfony-2.8.7-1.fc23, php-symfony-security-acl-2.8.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.